/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package cz.karry.dop.nbmodule.dbg;

import org.openide.filesystems.FileObject;

/**
 *
 * @author karry
 */
public class SessionId {
    private static final String PREFIX      = "netbeans-dbg-";         // NOI18N    
    private static final String SLASH       = "/";                     // NOI18N    
    private static final String BACK_SLASH  = "\\";                    // NOI18N           
        
    //keep synchronized with org.netbeans.modules.php.rt.utils.PhpProjectSharedConstants
    private static final String SOURCES_TYPE_PHP = "PHPSOURCE"; // NOI18N

    
    private static int mySessionsCount = 1;
    private String myFileUri;
    private final FileObject myFileObject;
    private FileObject myLocalBase;
    private String myRemoteBase;
    private String myRemoteSeparator;
    private String myId;    
    
    private FileObject myDebugFile;    
    public SessionId( FileObject fileObject ) {
        myId = PREFIX + mySessionsCount;
        mySessionsCount++;
        myFileObject = fileObject;
        myDebugFile = fileObject;
    }
    
    public String getId() {
        return myId;
    }
    
    public FileObject getSessionFileObject(){
        return myFileObject;
    }
    
    private FileObject getDebugFile(){
        return myDebugFile;
    }
    
    private String getFileUri() {
        return myFileUri;
    }
        
}
